%define __python %{__python3}

Name:           rlwrap
Epoch:          0
Version:        0.46.1
Release:        %mkrel 1
Summary:        Readline wrapper
Group:          Text tools
License:        GPLv2+
URL:            https://github.com/hanslub42/rlwrap
Source0:        https://github.com/hanslub42/rlwrap/releases/download/%{version}/rlwrap-%{version}.tar.gz
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  readline-devel

%description
rlwrap is a 'readline wrapper' that uses the GNU readline library to
allow the editing of keyboard input for any other command. Input
history is remembered across invocations, separately for each command;
history completion and search work as in bash and completion word
lists can be specified on the command line.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%check
%make_build check

%files
%doc AUTHORS BUGS COPYING ChangeLog NEWS README.md
%attr(0755,root,root) %{_bindir}/rlwrap
%{_mandir}/man1/rlwrap.1*
%{_mandir}/man3/RlwrapFilter.3pm*
%dir %{_datadir}/rlwrap
%{_datadir}/rlwrap/*


%changelog
* Mon Feb 13 2023 luigiwalser <luigiwalser> 0:0.46.1-1.mga9
+ Revision: 1941255
- 0.46.1

* Fri Mar 18 2022 umeabot <umeabot> 0:0.45.2-2.mga9
+ Revision: 1797882
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 ns80 <ns80> 0:0.45.2-1.mga9
+ Revision: 1775370
- new version 0.45.2 for a possible security issue (mga#30036)

* Wed Feb 19 2020 umeabot <umeabot> 0:0.43-4.mga8
+ Revision: 1542341
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 04 2020 luigiwalser <luigiwalser> 0:0.43-3.mga8
+ Revision: 1476008
- rebuild for readline

* Thu Oct 04 2018 umeabot <umeabot> 0:0.43-2.mga7
+ Revision: 1317619
- Mageia 7 Mass Rebuild

* Sat Jan 13 2018 shlomif <shlomif> 0:0.43-1.mga7
+ Revision: 1192658
- New version 0.43

* Tue Jan 02 2018 wally <wally> 0:0.41-5.mga7
+ Revision: 1189465
- rebuild for new readline

* Thu Feb 04 2016 umeabot <umeabot> 0:0.41-4.mga6
+ Revision: 934813
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0:0.41-3.mga5
+ Revision: 742538
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0:0.41-2.mga5
+ Revision: 688680
- Mageia 5 Mass Rebuild

* Sun Sep 07 2014 malo <malo> 0:0.41-1.mga5
+ Revision: 673039
- updte to 0.41 and clean-up

* Fri Oct 18 2013 umeabot <umeabot> 0:0.37-3.mga4
+ Revision: 518068
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0:0.37-2.mga3
+ Revision: 380361
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 26 2011 lebedov <lebedov> 0:0.37-1.mga2
+ Revision: 148840
- imported package rlwrap

